org.eclipse.ui.texteditor

## Class TextZoomOutHandler

- java.lang.Object
- - org.eclipse.core.commands.common.EventManager
  - - org.eclipse.core.commands.AbstractHandler
    - - org.eclipse.ui.texteditor.TextZoomOutHandler

All Implemented Interfaces:
  IHandler, IHandler2

    public final class TextZoomOutHandler
    extends AbstractHandler

Restriction:
  This class is not intended to be referenced by clients.

### Constructor Summary

Constructors
Constructor and Description
`TextZoomOutHandler()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `execute(ExecutionEvent event)` Executes with the map of parameter values by name.
`boolean` `isEnabled()` Whether this handler is capable of executing at this time.

### Methods inherited from class org.eclipse.core.commands.AbstractHandler

`addHandlerListener, dispose, fireHandlerChanged, hasListeners, isHandled, removeHandlerListener, setBaseEnabled, setEnabled`

### Methods inherited from class org.eclipse.core.commands.common.EventManager

`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TextZoomOutHandler

    public TextZoomOutHandler()

### Method Detail

#### execute

    public Object execute(ExecutionEvent event)
                   throws ExecutionException

Description copied from interface: `IHandler`
Executes with the map of parameter values by name.

Parameters:
  `event` - An event containing all the information about the current state of the application; must not be `null`.
Returns:
  the result of the execution. Reserved for future use, must be `null`.
Throws:
  `ExecutionException` - if an exception occurred during execution.

#### isEnabled

    public boolean isEnabled()

Description copied from class: `AbstractHandler`
Whether this handler is capable of executing at this time. Subclasses may override this method. If clients override this method they should also consider overriding `AbstractHandler.setEnabled(Object)` so they can be notified about framework execution contexts.

Specified by:
  `isEnabled` in interface `IHandler`
Overrides:
  `isEnabled` in class `AbstractHandler`
Returns:
  `true`
See Also:
  `AbstractHandler.setEnabled(Object)`, `AbstractHandler.setBaseEnabled(boolean)`